extends Area2D

var direction = Vector2(0,0)
var speed = 80
var damage = 1

func _process(delta):
	translate(direction * speed * delta)

func _on_EnemyBullet_body_entered(body):
		if body.is_in_group("PlayerGroup"):
			body.recieveDamage(damage)
		queue_free()

func _on_Timer_timeout():
	queue_free()
